udunits2
********

This manual describes how to use the `udunits2' program.  This program
allows you to discover the definition of a unit as well as convert
numeric values between compatible units.

   Copyright 2008, 2009 University Corporation for Atmospheric Research

   Access and use of this software shall impose the following
obligations and understandings on the user. The user is granted the
right, without any fee or cost, to use, copy, modify, alter, enhance
and distribute this software, and any derivative works thereof, and its
supporting documentation for any purpose whatsoever, provided that this
entire notice appears in all copies of the software, derivative works
and supporting documentation. Further, UCAR requests that the user
credit UCAR/Unidata in any publications that result from the use of this
software or in any product that includes this software, although this is
not an obligation. The names UCAR and/or Unidata, however, may not be
used in any advertising or publicity to endorse or promote any products
or commercial entity unless specific written permission is obtained from
UCAR/Unidata. The user also understands that UCAR/Unidata is not
obligated to provide the user with any support, consulting, training or
assistance of any kind with regard to the use, operation and performance
of this software nor to provide the user with any updates, revisions,
new versions or "bug fixes."

   THIS SOFTWARE IS PROVIDED BY UCAR/UNIDATA "AS IS" AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL UCAR/UNIDATA BE LIABLE FOR ANY SPECIAL,
INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
WITH THE ACCESS, USE OR PERFORMANCE OF THIS SOFTWARE.

1 Synopsis
**********

     udunits2 [-A|-L|-U] [-hr] [XML_file]

2 Options
*********

The following options and arguments are supported:

`-A'
     Use the ASCII character-set.

`-L'
     Use the ISO Latin-1 (ISO-8859-1) character-set.

`-U'
     Use the full Unicode character-set with UTF-8 encoding.

`-h'
     Print a help message.

`-r'
     Reveal any problems with the units database (by default, no error
     messages are printed during import of the database).

`XML_file'
     The pathname of the XML-formatted units database.  If not
     specified, then the default, compile-time pathname is used.

3 Description
*************

When successfully started, the program will print the prompt

     You have:

   At this point you can exit the program by entering the end-of-file
character (usually control-D) or continue by entering either a value or
a unit.  (a value comprises a numerical value and a unit.  For example,

     You have: 80 km/h
     You want:

   At this point, if you enter a blank line, then the program will
assume that you entered a unit in the previous line and will print the
definition of that unit in terms of the base units of the unit-system
that it imported on startup.  For example,

     You have: 80 km/h
     You want:
         22.2222222222222 m.s-1
     You have:

   Details of the formatting depend on the character-set being used.
See Options.

   Alternatively, at the "`You want:'" prompt you can enter the unit in
which you want the previously-entered value.  For example,

     You have: 80 km/h
     You want: mi/h
         80 km/h = 49.7097 mi/h
         x/(mi/h) = 0.621371*(x/(km/h))
     You have:

   The first line after "`You want:'" shows the "have" value in the
desired "want" unit.

   The second line shows the transformation between numerical values in
the "have" unit to numerical values in the "want" unit.  The symbol
"`x'" represents the physical quantity in question.  See
`http://physics.nist.gov/Pubs/SP811/sec07.html'.

4 See Also
**********

See UDUNITS-2 (udunits2lib), for information on the UDUNITS-2
library, which is used by this program.